/***************************************************
 
  Exploring Bos Taurus of Dr. CLAUDIO SOTO from Uruguay
 
  Image converter
  
 
 ******************************************************************************
 
Bos Taurus :

  AUTOR:    Dr. CLAUDIO SOTO
  PAIS:     URUGUAY
  E-MAIL:   srvet@adinet.com.uy
  BLOG:     http://srvet.blogspot.com

Sample by : esgici
  
***************************************************/

#include "hmg.ch"
#include "hfcl.ch"

PROCEDURE Main()

   SET CENT ON
   SET DATE GERM
   
   hImage      := 0
   cImgFilName := ''
   
   DEFINE WINDOW frmBTExp_IC;
      AT 0,0;
      WIDTH  700;
      HEIGHT 600;
      TITLE "Exploring Bos Taurus for HMG  -- Image Converter";
      ICON "BT_Icon" ;
      ON INIT BTExp_OpenImgFile() ; 
      ON RELEASE ReleaseImage() ;
      MAIN
      
      ON KEY ESCAPE         ACTION ThisWindow.Release
      
      DEFINE MAIN MENU 
      
			DEFINE POPUP '&File'
         
            DEFINE POPUP  '&File'      NAME mit_Read
               ITEM "&Open"            NAME mit_RFile      ACTION BTExp_OpenImgFile()
               
               DEFINE POPUP  '&Save As ...'  NAME mitSaveAs
                  ITEM "&BMP"          NAME mit_WFBMP_0   ACTION SaveAs()            
                  ITEM "&JPG"          NAME mit_WFJPG_1   ACTION SaveAs()
                  ITEM "&GIF"          NAME mit_WFGIF_2   ACTION SaveAs()
                  ITEM "&TIF"          NAME mit_WFTIF_3   ACTION SaveAs()
                  ITEM "&PNG"          NAME mit_WFPNG_4   ACTION SaveAs()
               END POPUP // File
               
            END POPUP // Read
            
            SEPARATOR
            
            ITEM "E&xit"  ACTION ThisWindow.Release
       
			END POPUP // File

         POPUP '?'                    
            ITEM '&About'  ACTION MsgInfo( BT_InfoName() + Space(3) + ;
                                           BT_InfoVersion() + CRLF + ;
                                           BT_InfoAuthor () + CRLF + ;
                                           "E-MAIL:   srvet@adinet.com.uy" + CRLF + ;
                                           "BLOG:     http://srvet.blogspot.com", "Info" )
                                           
         END POPUP // Info
         
         @  0, 0 IMAGE imgTestImage PICTURE NIL ACTION NIL
         
      END MENU // MAIN

      DEFINE STATUSBAR FONT 'Verdana' SIZE 8
          STATUSITEM ""
          STATUSITEM ""
          DATE WIDTH 80
          CLOCK WIDTH 90
      END STATUSBAR
      
   END WINDOW // frmBTExp_IC

   CENTER WINDOW   frmBTExp_IC
   ACTIVATE WINDOW frmBTExp_IC
   
RETURN // BTExplore.Main()

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

PROCEDURE BTExp_OpenImgFile()                 // Open an Image file

   ReleaseImage()
   
   BT_HMGSetImage( "frmBTExp_IC", "imgTestImage", 0) 
   
   frmBTExp_IC.mitSaveAs.Enabled := .F.

   cImgFilName := GetFile()  // Image File Name

   IF ! EMPTY( cImgFilName ) .OR. FILE( cImgFilName )  
   
      hImage     := BT_BitmapLoadFile( cImgFilName )
 
      BT_HMGSetImage( "frmBTExp_IC", "imgTestImage", hImage)      

      frmBTExp_IC.StatusBar.Item( 1 ) := cImgFilName
      
      frmBTExp_IC.mitSaveAs.Enabled := .T.

   ENDIF ! EMPTY( cBMFileName )
   
RETURN // BTExp_OpenImgFile()

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

PROCEDURE ReleaseImage()
   BT_BitmapRelease ( hImage )
RETURN

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

PROCEDURE SaveAs()

   LOCAL nNewImageType,;
         cNewImageType,;
         cNewImageFNam,;
         lContinue := .T.
         
   IF ! EMPTY( cImgFilName ) .AND. hImage # 0
   
      nNewImageType := VAL( RIGHT( This.Name, 1 ) )
      cNewImageType := SUBSTR( This.Name, 7, 3 )
      cNewImageFNam := LEFT( cImgFilName, LEN( cImgFilName )- 3 ) + cNewImageType

      IF FILE( cNewImageFNam )
       
         lContinue := MsgYesNo( cNewImageFNam + " file exist;" + CRLF + CRLF +;
                                      "OVERWRITE ?", "Confirm Overwrite" )
      ENDIF
      
      IF lContinue                             
         BT_BitmapSaveFile( hImage, cNewImageFNam, nNewImageType )            
      ENDIF
      
   ENDIF   
   
RETURN // SaveAs()

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.
